## org.opengis.filter.capability
Interface FilterCapabilities

    public interface FilterCapabilities

FilterCapabilitiesBean used to represent `Filter`expressions according to the 1.0.0 as well as the 1.1.1 `Filter Encoding Implementation Specification`.``

Field Summary
`static String` `VERSION_100`
`static String` `VERSION_110`

Method Summary
`IdCapabilities` `getIdCapabilities()`
`ScalarCapabilities` `getScalarCapabilities()`
`SpatialCapabilities` `getSpatialCapabilities()`
`String` `getVersion()` Returns the version.

Field Detail

### VERSION_100

    static final String VERSION_100

See Also:
  Constant Field Values

### VERSION_110

    static final String VERSION_110

See Also:
  Constant Field Values

Method Detail

### getScalarCapabilities

    @UML(identifier="scalarCapabilities",
         specification=UNSPECIFIED)
    ScalarCapabilities getScalarCapabilities()

### getSpatialCapabilities

    @UML(identifier="spatialCapabilities",
         specification=UNSPECIFIED)
    SpatialCapabilities getSpatialCapabilities()

### getIdCapabilities

    @UML(identifier="idCapabilities",
         specification=UNSPECIFIED)
    IdCapabilities getIdCapabilities()

### getVersion

    String getVersion()

  Returns the version.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.